Variable: SetupCompleteReply
constSetupCompleteReply:TObject<{completedAt:TString;engineVersion:TInteger;state:TLiteral<"complete">;steps:TArray<TObject<{checks:TArray<TUnsafe<"provider.reachable"|"provider.capabilities"|"provider.converged"|"provider.root_account"|"organizations.request"|"organizations.applied"|"anchor.declared"|"anchor.framework"|"anchor.applied"|"accounts.declared"|"accounts.applied"|"accounts.invitation"|"module.library"|"module.session"|"module.identification"|"module.test_key"|"identifiers.declared"|"identifiers.agent"|"identifiers.registry"|"identifiers.applied"|"configuration.authority"|"configuration.stored"|"configuration.applied"|"publish.federation"|"publish.identifier"|"root.signed_in">>;completedAt:TOptional<TString>;id:TUnsafe<"anchor"|"identifiers"|"organizations"|"identity-provider"|"accounts"|"key-store"|"configuration">;lastRun:TOptional<TObject<{at:TString;changed:TOptional<TBoolean>;checks:TArray<TUnion<[..., ..., ..., ...]>>;module:TOptional<TObject<{library: ...;session: ...;token: ...; }>>;partitions:TOptional<TArray<TObject<...>>>;plan:TBoolean;runId:TString;state:TOptional<TUnsafe<... | ...>>; }>>;newSinceCompletion:TBoolean;sections:TArray<TString>;sinceEngineVersion:TInteger;state:TUnsafe<"failed"|"open"|"passed"|"checking"|"not_reached"|"done">; }>>;versionId:TString; }>
Defined in: packages/contracts/src/setup-api.ts:479
POST /setup/api/complete reply: what the complete for this version page is drawn
from. It is the last thing the service says; after it, every path answers
setup_completed and the process exits.